#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "factor.h"

void decision_module(const char *param, const float alpha, const int specified);

int main(int argc, char **argv)
{
	int specified = -1;

	if (argc == 4) {
		if (!strcmp(argv[3], "cpu"))
			specified = CPU;
		else if (!strcmp(argv[3], "gpu"))
			specified = GPU;
		else if (!strcmp(argv[3], "cloud"))
			specified = CLOUD;
	}
	decision_module(argv[1], atof(argv[2]), specified);

	return 0;
}
